import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import ReadingLogCodeBlockView from "./ReadingLogCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";

export function registerReadingLogCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"readinglog",
		(_source, el) => new ReadingLogCodeBlockRenderer(el, plugin)
	);
}

export class ReadingLogCodeBlockRenderer extends SvelteCodeBlockRenderer<
	typeof ReadingLogCodeBlockView
> {
	constructor(contentEl: HTMLElement, plugin: BookTrackerPlugin) {
		super(contentEl, ReadingLogCodeBlockView, { props: { plugin } });
	}

	onunload() {}
}
